Install org.gcube.dataanalysis.dataminer.1.0.2

Mar 02, 2016 12:39 PM - Gianpaolo Coro

Status: Closed Start date: Mar 02, 2016

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 3.10.1

  

Infrastructure: Development, Production   

Description

dataminer.1.0.2 should be deployed on the following machines in turn. After each installation tests should be performed:

dataminer2-d-d4s.d4science.org

dataminer1-d-d4s.d4science.org

dataminer2-p-d4s.d4science.org

dataminer1-p-d4s.d4science.org

 The new pom is available here as a reference:

https://svn.d4science.research-infrastructures.eu/gcube/branches/data-analysis/DataMiner/1.0/pom.x

ml

 Please report here each installation step and then wait for my test before passing to the next step.

History

#1 - Mar 02, 2016 12:39 PM - Gianpaolo Coro

- Parent task set to #2309

#2 - Mar 02, 2016 04:11 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Infrastructure Development added

#4 - Mar 02, 2016 06:00 PM - Andrea Dell'Amico

The playbook is ready. Waiting for the 1.0.2-3.10.1 version to appear on the maven repository.

#5 - Mar 04, 2016 01:07 PM - Andrea Dell'Amico

- % Done changed from 0 to 20

dataminer2-d-d4s.d4science.org has been provisioned.

#6 - Mar 04, 2016 02:30 PM - Roberto Cirillo

- Tracker changed from Support to Task

#7 - Mar 04, 2016 02:37 PM - Gianpaolo Coro

The wps_config.xml file is not updated and does not correspond to the one on SVN. Could you update it please.

This should be done at each release.

#8 - Mar 04, 2016 03:54 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

The wps_config.xml file is not updated and does not correspond to the one on SVN. Could you update it please.

This should be done at each release.
 There are too many xml config files (where too many means more than zero) that I need to template because the svn version cannot be used as is.

This is too prone to errors and each release requires too much manual work on my side.

I'm getting the svn version, in the meantime the question is: why isn't possible to download a pom.xml and wps_config.xml that are ready to be

deployed? 

#9 - Mar 04, 2016 04:02 PM - Gianpaolo Coro

The wps_config.xml file is already in the DataminerConfiguration SVN package you are dowloading the other folders from. It is in the wpscfg folder.

You can take it from there.

I thought it would have been better to have the svn link to the file directly.

For what regards the POM, I think that using the dataminer POM should work indeed. The issue depends either on some POM adjustment or on the

maven install command.

#10 - Mar 04, 2016 04:06 PM - Andrea Dell'Amico

dataminer2-d-d4s.d4science.org has been deployed again with an up to date wps_config.xml.

#11 - Mar 04, 2016 04:24 PM - Gianpaolo Coro

All tests passed!

Please repeat the installation on dataminer1-d-d4s.d4science.org

#12 - Mar 04, 2016 04:30 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

The wps_config.xml file is already in the DataminerConfiguration SVN package you are dowloading the other folders from. It is in the wpscfg

folder. You can take it from there.

I thought it would have been better to have the svn link to the file directly.

 I could if I could use it as is. We have at least a fundamental difference, because the deployed wps_config.xml comes with hostport="80" (and could

be 443 in a not so distant future) while the svn version has hostport="8080".

For what regards the POM, I think that using the dataminer POM should work indeed. The issue depends either on some POM adjustment or on

the maven install command.

 I tried some days ago, and we discovered that it carried the SNAPSHOT version of the app. If we can guarantee that it contains the correct dataminer

version (and that it does not change until a new version is released and must be deployed), I'm happy to use that too.

The second requirement is very important: an EGI image can be generated at any time, if only to provide security fixes, and we need to ensure that

the applications that we deploy are the right ones.

#13 - Mar 04, 2016 04:30 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

All tests passed!

Please repeat the installation on dataminer1-d-d4s.d4science.org

 Deploying right now.

#14 - Mar 04, 2016 04:31 PM - Andrea Dell'Amico

Andrea Dell'Amico wrote:

Gianpaolo Coro wrote:

All tests passed!

Please repeat the installation on dataminer1-d-d4s.d4science.org

 Deploying right now.

 Done.

#15 - Mar 04, 2016 04:55 PM - Gianpaolo Coro

All tests passed!

please disconnect dataminer1-p from the prod. proxy and install the new versione there.

#16 - Mar 04, 2016 05:02 PM - Andrea Dell'Amico
dataminer2-p (not dataminer1-p) deployed.

#17 - Mar 04, 2016 05:20 PM - Gianpaolo Coro

Tests were successful on dataminer2-p.

Please proceed with dataminer1-p

#18 - Mar 04, 2016 05:24 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

Tests were successful on dataminer2-p.

Please proceed with dataminer1-p

 dataminer1-p deployed as well.

#19 - Mar 04, 2016 05:46 PM - Gianpaolo Coro

All test were OK. Dataminer release has been completed. Thank you.

#20 - Mar 04, 2016 06:04 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 20 to 100
